package com.anbo.intentswithdata;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
public static final String NAME = "name";
    private static final int SHOW_SUB_ACTIVITY = 1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }

    public void clickedSendButton(View view) {
        Intent intent = new Intent(this, AnotherActivity.class );
        EditText editText = (EditText)findViewById(R.id.main_edittext_name);
        String name = editText.getText().toString();
        intent.putExtra(NAME, name);
        startActivityForResult(intent, SHOW_SUB_ACTIVITY);
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        TextView resultView = (TextView) findViewById(R.id.main_textview_result);
        String answer = data.getStringExtra(AnotherActivity.ANSWER);
        resultView.setText("You answered " + answer);
    }
}
