package com.anbo.intentswithdata;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class AnotherActivity extends AppCompatActivity {
    public static final String ANSWER = "answer";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_another);

        Intent intent = getIntent();
        String name = intent.getStringExtra(MainActivity.NAME);
        TextView output = (TextView) findViewById(R.id.another_textview_name);
        output.setText("Hello " + name);
    }

    public void clickAnswerButton(View view) {
        EditText answerField = (EditText)findViewById(R.id.another_edittext_answer);
        String answer = answerField.getText().toString();
        Intent data = new Intent();
        data.putExtra(ANSWER, answer);
        setResult(RESULT_OK, data);
        finish();
    }
}
